Name:		nut
Version:	2.7.4.1
Release:	1.1
Group:		System
Url:		https://networkupstools.org/
License:	GPLv3
Summary:	Network UPS tools
Source0:	nut.tar.bz2
Patch0:		nut-python3.patch
BuildRoot:	%{_tmppath}/%{name}-%{version}-root
BuildRequires:	autoconf automake gcc patch gcc-c++
BuildRequires:  libtool libtool-ltdl libtool-ltdl-devel
BuildRequires:	neon-devel openssl-devel
BuildRequires:	net-snmp-devel avahi avahi-devel
BuildRequires:	libusb-devel freeipmi-devel freeipmi
BuildRequires:  asciidoc python36	

%description
Network UPS Tools is a collection of programs which provide a common
interface for monitoring and administering UPS, PDU and SCD hardware.
It uses a layered approach to connect all of the parts.

Drivers are provided for a wide assortment of equipment.  They
understand the specific language of each device and map it back to a
compatibility layer.  This means both an expensive high end UPS, a simple
"power strip" PDU, or any other power device can be handled transparently with
a uniform management interface.

This information is cached by the network server `upsd`, which then
answers queries from the clients.  upsd contains a number of access
control features to limit the abilities of the clients.  Only authorized
hosts may monitor or control your hardware if you wish.  Since the
notion of monitoring over the network is built into the software, you
can hang many systems off one large UPS, and they will all shut down
together. You can also use NUT to power on, off or cycle your data center
nodes, individually or globally through PDU outlets.

Clients such as `upsmon` check on the status of the hardware and do things
when necessary.  The most important task is shutting down the operating
system cleanly before the UPS runs out of power.  Other programs are
also provided to log information regularly, monitor status through your
web browser, and more.

%prep
%setup -n %{name}
%patch0 -p0

%build
./autogen.sh
./configure --prefix=%{_prefix} \
 --sysconfdir=%{_sysconfdir}/nut \
 --libdir=%{_libdir} \
 --datadir=%{_datadir}/nut \
 --mandir=%{_mandir}

%__make

%install
%__make DESTDIR=%{buildroot} install

%files
%defattr(-,root,root)
%{_sbindir}/upsmon
%{_sbindir}/upsd
%{_sbindir}/upssched
%{_sbindir}/upsdrvctl
%{_bindir}/blazer_ser
%{_bindir}/oneac
%{_bindir}/tripplite_usb
%{_bindir}/upslog
%{_bindir}/tripplitesu
%{_bindir}/liebert
%{_bindir}/richcomm_usb
%{_bindir}/clone
%{_bindir}/powerpanel
%{_bindir}/riello_usb
%{_bindir}/bestfortress
%{_bindir}/bcmxcp_usb
%{_bindir}/mge-shut
%{_bindir}/apcupsd-ups
%{_bindir}/everups
%{_bindir}/blazer_usb
%{_bindir}/mge-utalk
%{_bindir}/upscmd
%{_bindir}/microdowell
%{_bindir}/netxml-ups
%{_bindir}/masterguard
%{_bindir}/nutdrv_siemens-sitop
%{_bindir}/bcmxcp
%{_bindir}/powercom
%{_bindir}/nut-ipmipsu
%{_bindir}/upsc
%{_bindir}/nut-scanner
%{_bindir}/liebert-esp2
%{_bindir}/apcsmart
%{_bindir}/upssched-cmd
%{_bindir}/etapro
%{_bindir}/solis
%{_bindir}/clone-outlet
%{_bindir}/victronups
%{_bindir}/optiups
%{_bindir}/safenet
%{_bindir}/bestfcom
%{_bindir}/dummy-ups
%{_bindir}/nutdrv_qx
%{_bindir}/belkinunv
%{_bindir}/nutdrv_atcl_usb
%{_bindir}/upsrw
%{_bindir}/tripplite
%{_bindir}/skel
%{_bindir}/rhino
%{_bindir}/metasys
%{_bindir}/isbmex
%{_bindir}/belkin
%{_bindir}/riello_ser
%{_bindir}/snmp-ups
%{_bindir}/ivtscd
%{_bindir}/bestups
%{_bindir}/gamatronic
%{_bindir}/genericups
%{_bindir}/upscode2
%{_bindir}/apcsmart-old
%{_bindir}/al175
%{_bindir}/bestuferrups
%{_bindir}/usbhid-ups
%dir %{_sysconfdir}/nut
%{_sysconfdir}/nut/upsmon.conf.sample
%{_sysconfdir}/nut/nut.conf.sample
%{_sysconfdir}/nut/ups.conf.sample
%{_sysconfdir}/nut/upsd.conf.sample
%{_sysconfdir}/nut/upsd.users.sample
%{_sysconfdir}/nut/upssched.conf.sample
%{_libdir}/libupsclient.la
%{_libdir}/libnutclient.so.1.0.0
%{_libdir}/libnutclient.a
%{_libdir}/libnutscan.a
%{_libdir}/libnutscan.so.1.0.0
%{_libdir}/libupsclient.a
%{_libdir}/libnutclient.la
%{_libdir}/libupsclient.so.5.0.0
%{_libdir}/libnutscan.la
%{_mandir}/man5/nut.conf.5*
%{_mandir}/man5/upsd.conf.5*
%{_mandir}/man5/upssched.conf.5*
%{_mandir}/man5/ups.conf.5*
%{_mandir}/man5/upsd.users.5*
%{_mandir}/man5/upsmon.conf.5*
%{_mandir}/man8/liebert-esp2.8*
%{_mandir}/man8/bestfortress.8*
%{_mandir}/man8/genericups.8*
%{_mandir}/man8/riello_usb.8*
%{_mandir}/man8/gamatronic.8*
%{_mandir}/man8/nutdrv_atcl_usb.8*
%{_mandir}/man8/rhino.8*
%{_mandir}/man8/upsdrvctl.8*
%{_mandir}/man8/tripplite.8*
%{_mandir}/man8/nutdrv_qx.8*
%{_mandir}/man8/upsd.8*
%{_mandir}/man8/bcmxcp.8*
%{_mandir}/man8/nut-driver-enumerator.8*
%{_mandir}/man8/bcmxcp_usb.8*
%{_mandir}/man8/liebert.8*
%{_mandir}/man8/dummy-ups.8*
%{_mandir}/man8/upssched.8*
%{_mandir}/man8/apcupsd-ups.8*
%{_mandir}/man8/victronups.8*
%{_mandir}/man8/al175.8*
%{_mandir}/man8/belkin.8*
%{_mandir}/man8/nut-scanner.8*
%{_mandir}/man8/metasys.8*
%{_mandir}/man8/upsdrvsvcctl.8*
%{_mandir}/man8/safenet.8*
%{_mandir}/man8/optiups.8*
%{_mandir}/man8/tripplite_usb.8*
%{_mandir}/man8/nut-ipmipsu.8*
%{_mandir}/man8/blazer_ser.8*
%{_mandir}/man8/bestuferrups.8*
%{_mandir}/man8/tripplitesu.8*
%{_mandir}/man8/everups.8*
%{_mandir}/man8/bestups.8*
%{_mandir}/man8/microdowell.8*
%{_mandir}/man8/mge-utalk.8*
%{_mandir}/man8/etapro.8*
%{_mandir}/man8/ivtscd.8*
%{_mandir}/man8/upscmd.8*
%{_mandir}/man8/netxml-ups.8*
%{_mandir}/man8/blazer_usb.8*
%{_mandir}/man8/snmp-ups.8*
%{_mandir}/man8/belkinunv.8*
%{_mandir}/man8/apcsmart-old.8*
%{_mandir}/man8/mge-shut.8*
%{_mandir}/man8/richcomm_usb.8*
%{_mandir}/man8/upsmon.8*
%{_mandir}/man8/upscode2.8*
%{_mandir}/man8/oneac.8*
%{_mandir}/man8/usbhid-ups.8*
%{_mandir}/man8/upsc.8*
%{_mandir}/man8/powerpanel.8*
%{_mandir}/man8/upsrw.8*
%{_mandir}/man8/isbmex.8*
%{_mandir}/man8/solis.8*
%{_mandir}/man8/apcsmart.8*
%{_mandir}/man8/clone.8*
%{_mandir}/man8/nut-recorder.8*
%{_mandir}/man8/nutupsdrv.8*
%{_mandir}/man8/powercom.8*
%{_mandir}/man8/riello_ser.8*
%{_mandir}/man8/bestfcom.8*
%{_mandir}/man8/upslog.8*
%{_mandir}/man8/masterguard.8*
%dir %{_datadir}/nut
%{_datadir}/nut/cmdvartab
%{_datadir}/nut/driver.list
%{_datadir}/nut/solaris-init/nut
/lib/udev/rules.d/52-nut-ipmipsu.rules
/lib/udev/rules.d/62-nut-usbups.rules
%{_libdir}/libnutclient.so
%{_libdir}/libnutclient.so.1
%{_libdir}/libnutscan.so
%{_libdir}/libnutscan.so.1
%{_libdir}/libupsclient.so
%{_libdir}/libupsclient.so.5
%dir %{_datadir}/augeas
%dir %{_datadir}/augeas/lenses
%{_datadir}/augeas/lenses/nuthostsconf.aug
%{_datadir}/augeas/lenses/nutnutconf.aug
%{_datadir}/augeas/lenses/nutupsconf.aug
%{_datadir}/augeas/lenses/nutupsdconf.aug
%{_datadir}/augeas/lenses/nutupsdusers.aug
%{_datadir}/augeas/lenses/nutupsmonconf.aug
%{_datadir}/augeas/lenses/nutupsschedconf.aug
%{_datadir}/augeas/lenses/nutupssetconf.aug
%changelog
* Wed Jun 24 2020 Local OBS User <cs@linux-administrator.com>
- initial package
